package com.atlassian.stash.sal.api.project;

import com.atlassian.bitbucket.project.ProjectService;
import com.atlassian.sal.api.project.ProjectManager;

import java.util.Collection;

public class ProjectManagerImpl implements ProjectManager {

    private final ProjectService projectService;

    public ProjectManagerImpl(ProjectService projectService) {
        this.projectService = projectService;
    }

    @Override
    public Collection<String> getAllProjectKeys() {
        return projectService.findAllKeys();
    }
}
